/**
 * XParticipationPrfEntVrf2.java
 *
 * File generated from the medication2::XParticipationPrfEntVrf2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XParticipationPrfEntVrf2.
 *
 * 
 */

@XmlType(name = "XParticipationPrfEntVrf")
@XmlEnum
@XmlRootElement(name = "XParticipationPrfEntVrf2")
public enum XParticipationPrfEntVrf2 {
	@XmlEnumValue("PRF")
	PRF("PRF"),
	@XmlEnumValue("VRF")
	VRF("VRF"),
	@XmlEnumValue("ENT")
	ENT("ENT");
	
	private final String value;

    XParticipationPrfEntVrf2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XParticipationPrfEntVrf2 fromValue(String v) {
        for (XParticipationPrfEntVrf2 c: XParticipationPrfEntVrf2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
